### Method

# FwupdPlugin IfdImage set_access

#### Declaration [src]

    void
    fu_ifd_image_set_access (
      FuIfdImage* self,
      FuIfdRegion region,
      FuIfdAccess access
    )

#### Description [src]

Sets the access control for a specific reason.

Available since: | 1.6.2

#### Parameters

`region` | `FuIfdRegion`
| A `FuIfdRegion`, e.g. `FU_IFD_REGION_BIOS`.
`access` | `FuIfdAccess`
| A `FuIfdAccess`, e.g. `FU_IFD_ACCESS_NONE`.